# $Revision: 1.22 $, $Date: 2006/09/08 18:03:19 $
Summary:	A tag library for reading and editing audio meta data
Summary(pl):	Biblioteka tag do odczytu i edycji metadanych dotyczcych dwiku
Name:		taglib
Version:	1.4
Release:	2
License:	GPL
Group:		X11/Libraries
Source0:	http://ktown.kde.org/~wheeler/files/src/%{name}-%{version}.tar.gz
# Source0-md5:	dcd50ddb2544faeae77f194804559404
Patch0:		%{name}-libtool-sanitize.patch
URL:		http://ktown.kde.org/~wheeler/taglib.html
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
BuildRequires:	libstdc++-devel
BuildRequires:	perl-base
#BuildRequires:	unsermake >= 040805-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A tag library needed for juk application which is part of
kdemultimedia package.

%description -l pl
Biblioteka tag wykorzystywana przez program juk, bdcy czci
pakietu kdemultimedia.

%package devel
Summary:	libtag - header files
Summary(pl):	libtag - pliki nagwkowe
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for tag library.

%description devel -l pl
Pliki nagwkowe biblioteki tag.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.* admin
# unsermake is broken here (Makefile.calls not generated by configure)
#export UNSERMAKE=/usr/share/unsermake/unsermake
%{__perl} -pi -e 's/(automake\*1\.6\.\* \| automake\*1\.7\*)/automake*1.[6-9]*/' admin/cvs.sh
%{__make} -f admin/Makefile.common cvs

%configure \
	--disable-rpath \
	--enable-final \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtag.so.*.*.*
%attr(755,root,root) %{_libdir}/libtag_c.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/taglib-config
%attr(755,root,root) %{_libdir}/libtag.so
%attr(755,root,root) %{_libdir}/libtag_c.so
%{_libdir}/libtag.la
%{_libdir}/libtag_c.la
%{_pkgconfigdir}/taglib.pc
%{_includedir}/taglib

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: taglib.spec,v $
Revision 1.22  2006/09/08 18:03:19  glen
- rel 2 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.21  2005/08/08 11:34:03  blekot
- up to 1.4
- more %files

Revision 1.20  2005/05/05 12:02:11  pluto
- release 2 for Th.

Revision 1.19  2005/03/18 13:54:50  darekr
- BR: perl-base

Revision 1.18  2005/01/09 14:11:57  paszczus
- removed unused __snap

Revision 1.17  2004/11/08 21:02:10  paszczus
- updated to 1.3.1

Revision 1.16  2004/10/29 13:36:57  paladine
- spelling fixes

Revision 1.15  2004/10/16 16:45:16  qboosh
- up to final 1.3 - C bindings are back
- use automake for now (unsermake is broken, tested both 040805 and 040908)

Revision 1.14  2004/10/02 16:40:24  adgor
- Fixed %files

Revision 1.13  2004/08/11 15:03:19  djurban
- updated to snap of 1.3 (1.2 was tottaly forgotten in pld), it adds:
  + support for 8bit encoding of tags
  + mpc/flac/more format id tags

Revision 1.12  2004/04/05 15:11:50  mkierus
- updated to 1.1

Revision 1.11  2004/02/06 23:20:58  qboosh
- it's pure C++ library, doesn't depend on KDE

Revision 1.10  2004/02/06 12:31:20  qboosh
- added libtool-sanitize (to sanitize -L in *.la) and am18 patch
- rebuild ac/am, restored config.sub refresh (still needed on amd64)
- it's normal shared library, not kpart or anything, so *.la can stay in -devel(?)
- added c binding

Revision 1.9  2004/02/06 11:38:48  pluto
- updated.

Revision 1.8  2004/01/11 13:32:41  adgor
- 040110

Revision 1.7  2004/01/11 00:27:20  eothane
- proper ep09 address

Revision 1.6  2003/12/30 17:03:36  undefine
- BR: ac/am, regenerale locales, tyle qt-libs in %{_libdir}, release 2

Revision 1.5  2003/12/06 13:41:08  adgor
- 031204 (0.96)

Revision 1.4  2003/11/20 17:33:16  qboosh
- added googled URL

Revision 1.3  2003/11/14 17:39:04  adgor
- 031114

Revision 1.2  2003/11/06 18:02:16  qboosh
- defattr for -devel

Revision 1.1  2003/11/06 14:06:50  adgor
- Initial
